<?php
/**
* Additional Woocommerce Settings.
*
* @package Omega Design Agency
*/

$omega_design_agency_default = omega_design_agency_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'omega_design_agency_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'omega-design-agency' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'omega_design_agency_theme_option_panel',
	)
);

	$wp_customize->add_setting('omega_design_agency_per_columns',
		array(
		'default'           => $omega_design_agency_default['omega_design_agency_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'omega_design_agency_sanitize_number_range',
		)
	);
	$wp_customize->add_control('omega_design_agency_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'omega-design-agency'),
		'section'     => 'omega_design_agency_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('omega_design_agency_product_per_page',
		array(
		'default'           => $omega_design_agency_default['omega_design_agency_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'omega_design_agency_sanitize_number_range',
		)
	);
	$wp_customize->add_control('omega_design_agency_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'omega-design-agency'),
		'section'     => 'omega_design_agency_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('omega_design_agency_show_hide_related_product',
    array(
        'default' => $omega_design_agency_default['omega_design_agency_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_design_agency_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('omega_design_agency_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'omega-design-agency'),
	        'section' => 'omega_design_agency_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('omega_design_agency_custom_related_products_number',
		array(
		'default'           => $omega_design_agency_default['omega_design_agency_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'omega_design_agency_sanitize_number_range',
		)
	);
	$wp_customize->add_control('omega_design_agency_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'omega-design-agency'),
		'section'     => 'omega_design_agency_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('omega_design_agency_custom_related_products_number_per_row',
		array(
		'default'           => $omega_design_agency_default['omega_design_agency_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'omega_design_agency_sanitize_number_range',
		)
	);
	$wp_customize->add_control('omega_design_agency_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'omega-design-agency'),
		'section'     => 'omega_design_agency_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);